<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Pantalla Reporte Compras por Proveedor</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
/*
Muestra las compras por proveedor teniendo como filtros Estado generada, usada o cerrada y el filtro por Almacen, no combina proveedor con otro concepto, estado y almacen son solo filtros, se adiciono almacen (modificado por sugerencia de M)
*/
include "../../conn.php";
include "../../general.php";

$rep=$_GET["rep"];
$tipo=$_GET["tipo"];
$estado=$_POST["estado"];
//$vendedor=$_POST["vendedor"];
$proveedor=$_POST["proveedor"];
$fechaini=$_POST["fechaini"];
$fechafin=$_POST["fechafin"];
$orden=$_POST["orden"];
$otra_moneda=$_POST["otra_moneda"];
$almacen=$_POST["almacen"];
$asientocc=$_POST["asientocc"];
$usuario = $_POST["usuario"];
$cod_contexto=$_POST["contexto"];

$usuario_det = $_GET["usuario_det"];
$asientocc_det=$_GET["asientocc_det"];
$cod_cxc=$_GET["cod_cxc"];
$empresa=$_GET["empresa"];
$otra_moneda_det=$_GET["otra_moneda_det"];
$tc_det=$_GET["tc_det"];
$cod_det=$_GET["cod_det"];
$desc_global_det=$_GET["desc_global_det"];
//$n_decimales = 6;


?>
<body>

	<?php
	
//Inicio reporte Compras por Proveedor


if($rep == 15 && $tipo == 1) { // if 2

//nombre otra moneda
$resultotra = mysqli_query($link, "SELECT fldName as otra_moneda
from
actCurrency
where
pkyCurrency = '$otra_moneda' and
sysEnabled = 1 and sysAuthorized = 1;");
		
	while ($row = mysqli_fetch_array($resultotra)) {
	$nom_otra_moneda = $row['otra_moneda'];
	}
	mysqli_free_result($resultotra);


if ($estado == 0) { //if estado
	$valor_estado = ' ';
	$nom_estado = 'Todos';
  } else { 
  	if($estado == 1) {
    	$valor_estado = ' and a.codStatus = 1 ';
		$nom_estado = 'Generada';
	} else {
		if($estado == 2) {
    	$valor_estado = ' and a.codStatus = 2 ';
		$nom_estado = 'Usada';
		} else {
		$valor_estado = ' and a.codStatus = 3 ';
		$nom_estado = 'Cerrada';
		}
	}
  } //fin if estado


if ($almacen == 0) { //if almacen
    $valor_almacen = ' ';
	$nom_almacen = 'Todos';
  } else { 
    $valor_almacen = ' and a.codWarehouse = '.$almacen.' ';
	//nombre de almacen
	$resultalm = mysqli_query($link, "select pkyWarehouse as codigo, fldName as almacen
from invWarehouse
where
pkyWarehouse = '$almacen' and 
sysEnabled = 1 and sysAuthorized = 1
order by almacen;");
	while ($row = mysqli_fetch_array($resultalm)) {
	$nom_almacen = $row['almacen'];
	}
	mysqli_free_result($resultalm);
  } //fin if almacen


if ($proveedor == 0) { //if proveedor
    $valor_proveedor = ' ';
	$nom_proveedor = 'Todos';
  } else { 
    $valor_proveedor = ' and a.codSupplier = '.$proveedor.' ';
	//nombre del proveedor
	$resultprov = mysqli_query($link, "select pkyCompany as codigo, fldName as proveedor
from agnCompany
where
fldIsSupplier = 1 and
pkyCompany = '$proveedor' and 
sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultprov)) {
	$nom_proveedor = $row['codigo'].' - '.$row['proveedor'];
	}
	mysqli_free_result($resultprov);
  } //fin if proveedor


if ($orden == 0) { //if orden0
    $valor_orden = ' order by fecha, proveedor, estado ';
	$valor_orden1 = ' order by t.fecha, t.proveedor, t.estado ';
	$nom_orden = 'Fecha';
  } //fin if orden0
if ($orden == 1) { //if orden1 
    $valor_orden = ' order by proveedor, fecha, estado ';
	$valor_orden1 = ' order by t.proveedor, t.fecha, t.estado ';
	$nom_orden = 'Nombre Proveedor';
  } //fin if orden1
 if ($orden == 2) { //if orden2
    $valor_orden = ' order by codigo ';
	$valor_orden1 = ' order by t.codigo ';
	$nom_orden = 'C&oacute;digo';
  } //fin if orden2

//contexto
if($cod_contexto == -1){ 
	$nom_contexto = 'Todos';
	$valor_contexto = ' ';
} else {
	$resultcontx = mysqli_query($link, "select pkyContext as cod_contexto, fldName as contexto, codCostCenter as cod_cc 
	from srvContext
	where 
	pkyContext = '$cod_contexto';");
		while ($row = mysqli_fetch_array($resultcontx)) {   
			$nom_contexto = $row['cod_contexto'].' - '.$row['contexto'];
		}
		mysqli_free_result($resultcontx);
	$valor_contexto = 'and a.sysContext = '.$cod_contexto.' ';	
}


//listado de compras del periodo
//la primera parte del query jala los datos de la OC generadas, luego del UNION ALL son los datos de las OC usadas (que ya tienen RM). Todos los datos estan en base a la OC, solo la columna TOTAL CXP se jala de la Recepcion de Mercaderia para calcular los pagos y el saldo
$result = mysqli_query($link, "select a.pkyPurchaseOrder as codigo, a.fldDate as fecha, 
a.fldNumber as nro_doc, h.fldName as estado,
c.fldName as proveedor, a.codSupplier as cod_prov,
d.fldName as almacen, a.codCurrency as cod_moneda,
f.fldName as moneda, a.codExchangeRate as cod_tc_oc, 
NULL as cod_recepcion, a.fldGrossTotal as total_bruto, 
a.fldTotalDiscountPercent as desc_porc,
a.fldGlobalDiscountPercent as desc_global_porc, 
a.fldNetTotal as total_oc,
NULL as cod_cxp, i.fldName as tipo_doc, 
a.txtDescription as glosa, 0 as total_cxp, 
NULL as cod_tc_cxp, NULL as cod_moneda_cxp, NULL as cod_anticipo  
from pchPurchaseOrder a, agnCompany c, invWarehouse d, 
actCurrency f,  
pchPurchaseOrderStatus h, txsDocumentType i
where
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and 
a.codSupplier = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codCurrency = f.pkyCurrency and 
a.codStatus = h.pkyPurchaseOrderStatus and
a.codDocumentType = i.pkyDocumentType and
a.codStatus = 1 and
a.sysEnabled = 1 and a.sysAuthorized = 1 
$valor_estado
$valor_almacen 
$valor_proveedor 
$valor_contexto 

union all

select a.pkyPurchaseOrder as codigo, a.fldDate as fecha, 
a.fldNumber as nro_doc, h.fldName as estado,
c.fldName as proveedor, a.codSupplier as cod_prov,
d.fldName as almacen, a.codCurrency as cod_moneda,
f.fldName as moneda, a.codExchangeRate as cod_tc_oc, 
j.pkyReceiptOfGoods as cod_recepcion, a.fldGrossTotal as total_bruto, 
a.fldTotalDiscountPercent as desc_porc,
a.fldGlobalDiscountPercent as desc_global_porc, 
a.fldNetTotal as total_oc,
j.codAccountPayable as cod_cxp, i.fldName as tipo_doc, 
a.txtDescription as glosa, g.fldTotal as total_cxp, 
g.codExchangeRate as cod_tc_cxp, g.codCurrency as cod_moneda_cxp, j.codEarlyPayment as cod_anticipo 
from pchPurchaseOrder a, agnCompany c, invWarehouse d, 
actCurrency f, payAccountsPayable g, 
pchPurchaseOrderStatus h, txsDocumentType i, pchReceiptOfGoods j
where
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and 
a.codSupplier = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codCurrency = f.pkyCurrency and 
a.pkyPurchaseOrder = j.codPurchaseOrder and 
j.codAccountPayable = g.pkyAccountsPayable and 
a.codStatus = h.pkyPurchaseOrderStatus and
a.codDocumentType = i.pkyDocumentType and
a.codStatus = 2 and
a.sysEnabled = 1 and a.sysAuthorized = 1 and 
j.sysEnabled = 1 and j.sysAuthorized = 1 
$valor_estado 
$valor_almacen 
$valor_proveedor 
$valor_contexto 
$valor_orden;");


//listado de saldo inicial

$result1 = mysqli_query($link, "select a.codAccountsPayable as cod_cxp, b.fldDate as fecha, 
sum(a.fldTotal) as total, c.codCurrency as cod_moneda
from payPaymentDetail a, payPayment b, payAccountsPayable c
where
a.codPayment = b.pkyPayment and
a.codAccountsPayable = c.pkyAccountsPayable and 
b.fldDate < '$fechaini' and
c.sysEnabled = 1 and c.sysAuthorized = 1 
group by cod_cxp;");


//listado de saldo en el periodo

$result2 = mysqli_query($link, "select a.codAccountsPayable as cod_cxp, b.fldDate as fecha, 
sum(a.fldTotal) as total, c.codCurrency as cod_moneda
from payPaymentDetail a, payPayment b, payAccountsPayable c
where
a.codPayment = b.pkyPayment and
a.codAccountsPayable = c.pkyAccountsPayable and 
b.fldDate >= '$fechaini' and
b.fldDate <= '$fechafin' and
c.sysEnabled = 1 and c.sysAuthorized = 1 
group by cod_cxp;");


$matriz_compras = array ();
$i = 1;
while ($row = mysqli_fetch_array($result)) {
	$matriz_compras[$i][1] = $row['codigo'];
	$matriz_compras[$i][2] = $row['fecha'];
	$matriz_compras[$i][3] = $row['nro_doc'];
	$matriz_compras[$i][4] = $row['estado'];
	$matriz_compras[$i][5] = $row['proveedor'];
	$matriz_compras[$i][6] = $row['cod_prov'];//codigo del proveedor
	$matriz_compras[$i][7] = $row['almacen'];
	$matriz_compras[$i][8] = $row['cod_moneda'];//codigo de la moneda de la oc
	$matriz_compras[$i][9] = $row['moneda'];//moneda de la oc
	$matriz_compras[$i][10] = $row['cod_tc_oc'];//tc de la oc
	$matriz_compras[$i][11] = $row['cod_recepcion'];
	$matriz_compras[$i][12] = $row['total_bruto'];
	$matriz_compras[$i][13] = $row['desc_porc'];
	$matriz_compras[$i][14] = $row['desc_global_porc'];
	$matriz_compras[$i][15] = $row['total_oc'];
	$matriz_compras[$i][16] = $row['cod_cxp'];
	$matriz_compras[$i][17] = $row['total_cxp'];
	$matriz_compras[$i][18] = $row['tipo_doc'];
	$matriz_compras[$i][19] = $row['glosa'];
	$matriz_compras[$i][20] = $row['cod_tc_cxp'];
	$matriz_compras[$i][21] = $row['cod_moneda_cxp'];
	$matriz_compras[$i][22] = 0; //saldo inicial
	$matriz_compras[$i][23] = 0; //pagos periodo
	$matriz_compras[$i][24] = 1; //tasa de cambio oc
	$matriz_compras[$i][25] = 1; //tasa de cambio cxp
	$matriz_compras[$i][26] = $row['cod_anticipo'];
	if($matriz_compras[$i][26] == NULL) { 
		$matriz_compras[$i][27] = 1;
	} else { 
		$matriz_compras[$i][27] = 0;
	}
	
	$i++;
	}
	mysqli_free_result($result);

$fin_compras = $i - 1;


while ($row = mysqli_fetch_array($result1)) {
	$i = 1;
	$control = 0;
	while($i <= $fin_compras && $control == 0) {
		  if($matriz_compras[$i][16] == $row['cod_cxp']) {
			 $matriz_compras[$i][22] = $row['total'];
			 $control = 1;
		  }
			 $i++;
	}
}
mysqli_free_result($result1);

while ($row = mysqli_fetch_array($result2)) {
	$i = 1;
	$control = 0;
	while($i <= $fin_compras && $control == 0) {
		  if($matriz_compras[$i][16] == $row['cod_cxp']) {
			 $matriz_compras[$i][23] = $row['total'];
			 $control = 1;
		  } 
			  $i++;
	}
}
mysqli_free_result($result2);

//tc de las oc
$i = 1;
while($i <= $fin_compras) {
	if($matriz_compras[$i][8] != $otra_moneda) {
		$moneda_base = $matriz_compras[$i][8];
		$tc_original = $matriz_compras[$i][10];
		$resulttc = mysqli_query($link, "SELECT pkyExchangeRateDetail as codigotc, codBaseCurrency as monedabase, codTargetCurrency as monedacambio, fldRate as tc
from
actExchangeRateDetail
where
codExchangeRate = '$tc_original' and
codBaseCurrency = '$otra_moneda' and
codTargetCurrency = '$moneda_base' and
sysEnabled = 1 AND sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resulttc)) {
		$matriz_compras[$i][24] = $row['tc'];
		}
		mysqli_free_result($resulttc);
	}
	$i++;
}	

//tc de las cxp
$i = 1;
while($i <= $fin_compras) {
	if($matriz_compras[$i][21] != $otra_moneda) {
		$moneda_base = $matriz_compras[$i][21];
		$tc_original = $matriz_compras[$i][20];
		$resulttc = mysqli_query($link, "SELECT pkyExchangeRateDetail as codigotc, codBaseCurrency as monedabase, codTargetCurrency as monedacambio, fldRate as tc
from
actExchangeRateDetail
where
codExchangeRate = '$tc_original' and
codBaseCurrency = '$otra_moneda' and
codTargetCurrency = '$moneda_base' and
sysEnabled = 1 AND sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resulttc)) {
		$matriz_compras[$i][25] = $row['tc'];
		}
		mysqli_free_result($resulttc);
	}
	$i++;
}	
/*
$i = 1;
while($i <= $fin_ventas) {
	echo $matriz_ventas[$i][1].' - ';
	echo $matriz_ventas[$i][2].' - ';
	echo $matriz_ventas[$i][3].' - ';
	echo $matriz_ventas[$i][4].' - ';
	echo $matriz_ventas[$i][5].' - ';
	echo $matriz_ventas[$i][6].' - ';
	echo $matriz_ventas[$i][7].' - ';
	echo $matriz_ventas[$i][8].' - ';
	echo $matriz_ventas[$i][9].' - ';
	echo $matriz_ventas[$i][10].' - ';
	echo $matriz_ventas[$i][11].' - ';
	echo $matriz_ventas[$i][12].' - ';
	echo $matriz_ventas[$i][13].' - ';
	echo $matriz_ventas[$i][14].' - ';
	echo $matriz_ventas[$i][15].' - ';
	echo $matriz_ventas[$i][16].' - ';
	echo $matriz_ventas[$i][17].' - ';
	echo $matriz_ventas[$i][18].' - ';
	echo $matriz_ventas[$i][19].' - ';
	echo $matriz_ventas[$i][20].'<br>';
	$i++;
}
*/
  
if($otra_moneda != 0){ 
$mostrar_txt_moneda = $nom_otra_moneda;
} else {
$mostrar_txt_moneda = 'Moneda original';	
}

?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Compras por Proveedor</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>Proveedor: </b><?php echo $nom_proveedor; ?></TD>
        <TD width="25%"><b>Almacen: </b><?php echo $nom_almacen; ?></TD>
        <TD width="25%"><b>Estado: </b><?php echo $nom_estado; ?></TD>
        <TD width="25%"><b>Ordenado por: </b><?php echo $nom_orden; ?></TD>
        </TR>
        <TR>
        <TD colspan="2"><b>De Fecha: </b><?php echo $fechaini; ?> <b>a Fecha: </b><?php echo $fechafin; ?></TD>
        <TD><b>Contexto: </b><?php echo $nom_contexto; ?></TD>
        <TD><b>Expresado en: </b><?php echo $mostrar_txt_moneda; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br />
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
    <TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Nro. Doc.</b></TD>
	<TD align="center" width="65"><b>Fecha</b></TD>
    <TD align="center"><b>Proveedor</b></TD>
    <TD align="center"><b>Almacen</b></TD>
    <TD align="center"><b>Estado</b></TD>
    <TD align="center"><b>Tipo Doc.</b></TD>
    <TD align="center"><b>Recepci&oacute;n</b></TD>
    <TD align="center"><b>Glosa</b></TD>
    <TD align="center"><b>Mon.</b></TD>
    <TD align="center"><b>Total Bruto</b></TD>
	<TD align="center"><b>Desc. %</b></TD>
    <TD align="center"><b>Desc. Global %</b></TD>
    <TD align="center"><b>Total</b></TD>
    <?php if($otra_moneda != 0){ ?>
    <TD align="center"><b>Tasa a <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Total en <?php echo $nom_otra_moneda; ?></b></TD>
    <?php } ?>
    <TD align="center"><b>Total CxP en <?php echo $nom_moneda_principal; ?></b></TD>
    <TD align="center"><b>Pagos Anteriores</b></TD>
    <TD align="center"><b>Pagos Periodo</b></TD>
    <TD align="center"><b>Saldo en <?php echo $nom_moneda_principal; ?></b></TD>
    <?php if($otra_moneda != 0){ ?>
    <TD align="center"><b>Tasa a <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Saldo en <?php echo $nom_otra_moneda; ?></b></TD>
    <?php } ?>
    </TR>
    </thead>
    <tbody class="marcafila">

    <?php
    if($proveedor == 0 && $orden == 1) { //if orden = 1 y proveedor = 0
	//lista de codigo de proveedores del periodo, mismo query de listado de compras del periodo pero con group by con cod_prov y num_reg
	$result_prov = mysqli_query($link, "select t.cod_prov as cod_prov, count(t.cod_prov) as num_reg
from
(select a.pkyPurchaseOrder as codigo, a.fldDate as fecha, 
a.fldNumber as nro_doc, h.fldName as estado,
c.fldName as proveedor, a.codSupplier as cod_prov,
d.fldName as almacen, a.codCurrency as cod_moneda,
f.fldName as moneda, a.codExchangeRate as cod_tc, 
a.fldGenAccountPayable as genero_cxp,
a.fldGrossTotal as total_bruto, a.fldTotalDiscountPercent as desc_porc,
a.fldGlobalDiscountPercent as desc_global_porc, a.fldNetTotal as total,
a.codAccountPayable as cod_cxp, a.codAccountEntry as cod_asiento, 
i.fldName as tipo_doc, a.txtDescription as glosa, 
g.fldBalance as saldo_a_fecha 
from pchPurchaseOrder a, agnCompany c, invWarehouse d, 
actCurrency f, payAccountsPayable g, 
pchPurchaseOrderStatus h, txsDocumentType i
where
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
a.codSupplier = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codCurrency = f.pkyCurrency and 
a.codAccountPayable = g.pkyAccountsPayable and 
a.codStatus = h.pkyPurchaseOrderStatus and
a.codDocumentType = i.pkyDocumentType and
a.fldGenAccountPayable = 1 and
a.sysEnabled = 1 and a.sysAuthorized = 1 
$valor_estado 
$valor_almacen 
$valor_proveedor 
$valor_contexto 

union all

select a.pkyPurchaseOrder as codigo, a.fldDate as fecha, 
a.fldNumber as nro_doc, h.fldName as estado,
c.fldName as proveedor, a.codSupplier as cod_prov,
d.fldName as almacen, a.codCurrency as cod_moneda,
f.fldName as moneda, a.codExchangeRate as cod_tc, 
a.fldGenAccountPayable as genero_cxp,
a.fldGrossTotal as total_bruto, a.fldTotalDiscountPercent as desc_porc,
a.fldGlobalDiscountPercent as desc_global_porc, a.fldNetTotal as total,
a.codAccountPayable as cod_cxp, a.codAccountEntry as cod_asiento, 
i.fldName as tipo_doc, a.txtDescription as glosa, 
null as saldo_a_fecha 
from pchPurchaseOrder a, agnCompany c, invWarehouse d, 
actCurrency f, pchPurchaseOrderStatus h, txsDocumentType i
where
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
a.codSupplier = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codCurrency = f.pkyCurrency and 
a.codStatus = h.pkyPurchaseOrderStatus and
a.codDocumentType = i.pkyDocumentType and
a.fldGenAccountPayable = 0 and
a.sysEnabled = 1 and a.sysAuthorized = 1 
$valor_estado 
$valor_almacen 
$valor_proveedor 
$valor_contexto ) t
group by t.cod_prov 
$valor_orden1;");

	$matriz_prov = array ();
	$i = 1;
	while ($row = mysqli_fetch_array($result_prov)) {
	$matriz_prov[$i][1] = $row['cod_prov'];
	$matriz_prov[$i][2] = $row['num_reg'];
	//echo $matriz_cli[$i][1].' - '.$matriz_cli[$i][2].'<br>';
	$i++;
	}
	
	$fin_prov = $i - 1;
	//echo $fin_cli.'<br>';
	mysqli_free_result($result_prov);
	
						
	$color = 2;
	$suma_oc = 0;
	$suma_cxp = 0;
	$suma_saldo_cxp = 0;
	$suma_saldo_cxp_om = 0;
	$suma_par_oc = 0;
	$suma_par_cxp = 0;
	$suma_par_saldo_cxp = 0;
	$suma_par_saldo_cxp_om = 0;
	$i = 1;
	$j = 1;
	//$k = 1;
	while($j <= $fin_prov){//while $fin_prov
		$k = 1;
	while($k <= $matriz_prov[$j][2]) { //while
		$codigo = $matriz_compras[$i][16]; //cod cxp
		$codigo_genera = $matriz_compras[$i][11]; //cod recepcion
		$cod_det = $matriz_compras[$i][1];
		$tc_det = $matriz_compras[$i][24];//tc oc
		$anticipo = $matriz_compras[$i][27];//0 es empresa, 1 es empleado
		$desc_global = $matriz_compras[$i][14];//descuento global
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $matriz_compras[$i][1]);//cod
		} else {
		printf("<tr><td align='center'>%s</td>", $matriz_compras[$i][1]);//cod
		}//cierra if color
		printf("<td align='center'>%s</td>", $matriz_compras[$i][3]);//numero documento
		printf("<td align='right'>%s</td>", $matriz_compras[$i][2]);//fecha
		printf("<td>%s</td>", $matriz_compras[$i][5]);//proveedor
		printf("<td>%s</td>", $matriz_compras[$i][7]);//almacen
		printf("<td>%s</td>", $matriz_compras[$i][4]);//estado
		printf("<td>%s</td>", $matriz_compras[$i][18]);//tipo de documento
		printf("<td align='right'><a href='../../ModulePurchases/VoucherReceiptOfGoods/index.php?pkyReceiptOfGoods=$codigo_genera&user=$usuario' title='Nota Recepci&oacute;n de Mercader&iacute;a'>%s</a></td>", $matriz_compras[$i][11]);//cod recepcion mercaderia
		printf("<td>%s</td>", $matriz_compras[$i][19]);//glosa
		printf("<td>%s</td>", $matriz_compras[$i][9]);//moneda oc
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][12],$n_decimales));//total bruto
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][13],$n_descuento));//descuento %
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][14],$n_descuento));//descuento global %
		
		if($otra_moneda != 0){ //if otra moneda
		printf("<td align='right'><a href='report.php?rep=15&tipo=2&cod_det=$cod_det&tc_det=$tc_det&otra_moneda_det=0&desc_global_det=$desc_global&usuario_det=$usuario&asientocc_det=$asientocc' title='Kardex de Compras'>%s</a></td>", number_format($matriz_compras[$i][15],$n_decimales));//total oc
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][24],$n_tipocambio));// tasa de tc
		printf("<td align='right'><a href='report.php?rep=15&tipo=2&cod_det=$cod_det&tc_det=$tc_det&otra_moneda_det=$otra_moneda&desc_global_det=$desc_global&usuario_det=$usuario&asientocc_det=$asientocc' title='Kardex de Compras'>%s</a></td>", number_format($matriz_compras[$i][15] * $matriz_compras[$i][24],$n_decimales));// total oc otra moneda
		}//fin if otra moneda 
		else {	//else otra moneda
		printf("<td align='right'><a href='report.php?rep=15&tipo=2&cod_det=$cod_det&tc_det=$tc_det&otra_moneda_det=0&desc_global_det=$desc_global&usuario_det=$usuario&contexto_det=$cod_contexto&asientocc_det=$asientocc' title='Kardex de Compras'>%s</a></td>", number_format($matriz_compras[$i][15],$n_decimales));//total oc
		}//fin else otra moneda
		
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][17],$n_decimales));//total cxp
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][22],$n_decimales));//pagos anteriores
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][23],$n_decimales));//pagos periodo
		$saldo_c = $matriz_compras[$i][17] - $matriz_compras[$i][22] - $matriz_compras[$i][23];
		
		if($otra_moneda != 0){ //if otra moneda
			printf("<td align='right'><a href='../../ModulePayments/ReportAccountsPayable/report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=$anticipo&otra_moneda_det=$cod_moneda_principal&contexto_det=-1&usuario_det=$usuario' title='Kardex de Cuenta por Pagar'>%s</a></td>", number_format($saldo_c,$n_decimales));//saldo cxp
			printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][25],$n_tipocambio));// tasa de cambio cxp
			printf("<td align='right'><a href='../../ModulePayments/ReportAccountsPayable/report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=$anticipo&otra_moneda_det=$otra_moneda&contexto_det=-1&usuario_det=$usuario' title='Kardex de Cuenta por Pagar'>%s</a></td></tr>", number_format($saldo_c * $matriz_compras[$i][25],$n_decimales));// saldo cxp otra moneda
		}//fin if otra moneda 
		else {	//else otra moneda
			printf("<td align='right'><a href='../../ModulePayments/ReportAccountsPayable/report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=$anticipo&otra_moneda_det=0&contexto_det=-1&usuario_det=$usuario' title='Kardex de Cuenta por Pagar'>%s</a></td></tr>", number_format($saldo_c,$n_decimales));//saldo cxp
		}//fin else otra moneda
		$suma_oc = $suma_oc + $matriz_compras[$i][15] * $matriz_compras[$i][24];
		$suma_cxp = $suma_cxp + $matriz_compras[$i][17];
		$suma_saldo_cxp = $suma_saldo_cxp + $saldo_c;
		$suma_saldo_cxp_om = $suma_saldo_cxp_om + $saldo_c * $matriz_compras[$i][25];
	    $suma_par_oc = $suma_par_oc + $matriz_compras[$i][15] * $matriz_compras[$i][24];
		$suma_par_cxp = $suma_par_cxp + $matriz_compras[$i][17];
		$suma_par_saldo_cxp = $suma_par_saldo_cxp + $saldo_c;
		$suma_par_saldo_cxp_om = $suma_par_saldo_cxp_om + $saldo_c * $matriz_compras[$i][25];
	  	$color++;
		$i++;
		$k++;
	}//fin while
	
	$j++;
	if($otra_moneda != 0){//if otra moneda 2
 ?>
 <tr BGCOLOR='#ffcccc'><td colspan="15"><b>Total Compras Periodo <?php echo $matriz_compras[$i-1][5]; ?></b></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_par_oc,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_par_cxp,$n_decimales)); ?></td>
 <td>&nbsp;</td>
 <td>&nbsp;</td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_par_saldo_cxp,$n_decimales)); ?></td>
 <td>&nbsp;</td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_par_saldo_cxp_om,$n_decimales)); ?></td>
 </tr>
 
 <?php } else { //else if otra moneda 2 ?>
 
 <tr BGCOLOR='#ffcccc'><td colspan="14"><b>Total Compras Periodo <?php echo $matriz_compras[$i-1][5]; ?></b></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_par_cxp,$n_decimales)); ?></td>
 <td>&nbsp;</td>
 <td>&nbsp;</td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_par_saldo_cxp,$n_decimales)); ?></td>
 </tr>
 <?php
	}//fin if otra moneda 2
	$suma_par_oc = 0;
	$suma_par_cxp = 0;
	$suma_par_saldo_cxp = 0;
	$suma_par_saldo_cxp_om = 0;	
	}//fin while $fin_prov
	
	} else { //else orden = 1 y proveedor = 0
	$color = 2;
	$suma_oc = 0;
	$suma_cxp = 0;
	$suma_saldo_cxp = 0;
	$suma_saldo_cxp_om = 0;
	$i = 1;
	
	while($i <= $fin_compras) { //while
		$codigo = $matriz_compras[$i][16];
		$codigo_genera = $matriz_compras[$i][11];
		$cod_det = $matriz_compras[$i][1];
		$tc_det = $matriz_compras[$i][24];
		$anticipo = $matriz_compras[$i][27];
		$desc_global = $matriz_compras[$i][14];//descuento global
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $matriz_compras[$i][1]);//cod
		} else {
		printf("<tr><td align='center'>%s</td>", $matriz_compras[$i][1]);//cod
		}//cierra if color
		printf("<td align='center'>%s</td>", $matriz_compras[$i][3]);//numero documento
		printf("<td align='right'>%s</td>", $matriz_compras[$i][2]);//fecha
		printf("<td>%s</td>", $matriz_compras[$i][5]);//proveedor
		printf("<td>%s</td>", $matriz_compras[$i][7]);//almacen
		printf("<td>%s</td>", $matriz_compras[$i][4]);//estado
		printf("<td>%s</td>", $matriz_compras[$i][18]);//tipo de documento
		printf("<td align='right'><a href='../../ModulePurchases/VoucherReceiptOfGoods/index.php?pkyReceiptOfGoods=$codigo_genera&user=$usuario' title='Nota Recepci&oacute;n de Mercader&iacute;a'>%s</a></td>", $matriz_compras[$i][11]);//cod recepcion mercaderia
		printf("<td>%s</td>", $matriz_compras[$i][19]);//glosa
		printf("<td>%s</td>", $matriz_compras[$i][9]);//moneda oc
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][12],$n_decimales));//total bruto
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][13],$n_descuento));//descuento %
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][14],$n_descuento));//descuento global %
		if($otra_moneda != 0){ //if otra moneda
		printf("<td align='right'><a href='report.php?rep=15&tipo=2&cod_det=$cod_det&tc_det=$tc_det&otra_moneda_det=0&desc_global_det=$desc_global&usuario_det=$usuario&asientocc_det=$asientocc' title='Kardex de Compras'>%s</a></td>", number_format($matriz_compras[$i][15],$n_decimales));//total oc
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][24],$n_tipocambio));// tasa de tc
		printf("<td align='right'><a href='report.php?rep=15&tipo=2&cod_det=$cod_det&tc_det=$tc_det&otra_moneda_det=$otra_moneda&desc_global_det=$desc_global&usuario_det=$usuario&asientocc_det=$asientocc' title='Kardex de Compras'>%s</a></td>", number_format($matriz_compras[$i][15] * $matriz_compras[$i][24],$n_decimales));// total oc otra moneda
		}//fin if otra moneda 
		else {	//else otra moneda
		printf("<td align='right'><a href='report.php?rep=15&tipo=2&cod_det=$cod_det&tc_det=$tc_det&otra_moneda_det=0&desc_global_det=$desc_global&usuario_det=$usuario&asientocc_det=$asientocc' title='Kardex de Compras'>%s</a></td>", number_format($matriz_compras[$i][15],$n_decimales));//total oc
		}//fin else otra moneda
		
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][17],$n_decimales));//total cxp
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][22],$n_decimales));//pagos anteriores
		printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][23],$n_decimales));//pagos periodo
		$saldo_c = $matriz_compras[$i][17] - $matriz_compras[$i][22] - $matriz_compras[$i][23];
		
		if($otra_moneda != 0){ //if otra moneda
			printf("<td align='right'><a href='../../ModulePayments/ReportAccountsPayable/report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=$anticipo&otra_moneda_det=$cod_moneda_principal&contexto_det=-1&usuario_det=$usuario' title='Kardex de Cuenta por Pagar'>%s</a></td>", number_format($saldo_c,$n_decimales));//saldo cxp
			printf("<td align='right'>%s</td>", number_format($matriz_compras[$i][25],$n_tipocambio));// tasa de cambio cxp
			printf("<td align='right'><a href='../../ModulePayments/ReportAccountsPayable/report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=$anticipo&otra_moneda_det=$otra_moneda&contexto_det=-1&usuario_det=$usuario' title='Kardex de Cuenta por Pagar'>%s</a></td></tr>", number_format($saldo_c * $matriz_compras[$i][25],$n_decimales));// saldo cxp otra moneda
		}//fin if otra moneda 
		else {	//else otra moneda
			printf("<td align='right'><a href='../../ModulePayments/ReportAccountsPayable/report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=$anticipo&otra_moneda_det=0&contexto_det=-1&usuario_det=$usuario' title='Kardex de Cuenta por Pagar'>%s</a></td></tr>", number_format($saldo_c,$n_decimales));//saldo cxp
		}//fin else otra moneda
		$suma_oc = $suma_oc + $matriz_compras[$i][15] * $matriz_compras[$i][24];
		$suma_cxp = $suma_cxp + $matriz_compras[$i][17];
		$suma_saldo_cxp = $suma_saldo_cxp + $saldo_c;
		$suma_saldo_cxp_om = $suma_saldo_cxp_om + $saldo_c * $matriz_compras[$i][25];
	    $color++;
		$i++;
	}//fin while
	} // fin if orden = 1 y proveedor = 0
?>
 <?php if($otra_moneda != 0){ //if otra moneda 3 ?>
 <tr BGCOLOR='#ffcccc'><td colspan="15"><b>Total Compras Periodo</b></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_oc,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_cxp,$n_decimales)); ?></td>
 <td>&nbsp;</td>
 <td>&nbsp;</td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_saldo_cxp,$n_decimales)); ?></td>
 <td>&nbsp;</td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_saldo_cxp_om,$n_decimales)); ?></td>
 </tr>
 
 <?php } else { //else if otra moneda 3 ?>
 
 <tr BGCOLOR='#ffcccc'><td colspan="14"><b>Total Compras Periodo</b></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_cxp,$n_decimales)); ?></td>
 <td>&nbsp;</td>
 <td>&nbsp;</td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_saldo_cxp,$n_decimales)); ?></td>
 </tr>
 <?php } //fin if otra moneda 3 ?> 
</tbody>
</table>
 

<?php

} //fin if 2


//Inicio muestra detalle


if($rep == 15 && $tipo == 2) { // if 3
//nombre otra moneda
if($otra_moneda_det == 0) { //if otra moneda
$nom_otra_moneda = 'Moneda Original';
} else {
$resultotra = mysqli_query($link, "SELECT fldName as otra_moneda
from
actCurrency
where
pkyCurrency = '$otra_moneda_det' and
sysEnabled = 1 and sysAuthorized = 1;");
		
	while ($row = mysqli_fetch_array($resultotra)) {
	$nom_otra_moneda = $row['otra_moneda'];
	}
	mysqli_free_result($resultotra);
}//fin if otra moneda

$resultdet = mysqli_query($link, "select a.pkyPurchaseOrderDetail as codigo, a.fldQuantity as cantidad,
a.fldPrice as precio, a.fldDiscount as descuento,
a.fldTotalNetPrice as total, b.fldName as item, 
c.fldDate as fecha, c.fldNumber as nro_doc, 
d.fldName as proveedor, c.codAccountPayable as cod_cxp, c.codAccountEntry as cod_asiento,
e.fldName as moneda, f.fldName as almacen, c.sysContext as cod_contexto, s.fldName as contexto
from
pchPurchaseOrderDetail a, invItem b, pchPurchaseOrder c, 
agnCompany d, actCurrency e, invWarehouse f, srvContext s
where
a.codItem = b.pkyItem and 
a.codPurchaseOrder = '$cod_det' and 
a.codPurchaseOrder = c.pkyPurchaseOrder and 
c.codSupplier = d.pkyCompany and 
c.codCurrency = e.pkyCurrency and 
c.codWarehouse = f.pkyWarehouse and 
c.sysContext = s.pkyContext and 
c.sysEnabled = 1 and c.sysAuthorized = 1;");
$matriz_det = array();
$i = 1;
		while ($row = mysqli_fetch_array($resultdet)) {
		$matriz_det[$i][1] = $row['codigo'];
		$matriz_det[$i][2] = $row['nro_doc'];
		$matriz_det[$i][3] = $row['item'];
		$matriz_det[$i][4] = $row['fecha'];
		$matriz_det[$i][5] = $row['proveedor'];
		$matriz_det[$i][6] = $row['cod_cxp'];
		$matriz_det[$i][7] = $row['cantidad'];
		$matriz_det[$i][8] = $row['precio'];
		$matriz_det[$i][9] = $row['descuento'];
		$matriz_det[$i][10] = $row['total'];
		$matriz_det[$i][11] = $row['moneda'];
		$matriz_det[$i][12] = $row['almacen'];
		$matriz_det[$i][13] = $row['cod_asiento'];
		$matriz_det[$i][14] = $row['cod_contexto'];
		$matriz_det[$i][15] = $row['contexto'];
		$i++;
		}
		mysqli_free_result($resultdet);
		$fin_det = $i - 1;
?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario_det; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Detalle Compra</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="33%"><b>Cod. Orden de Compra: </b><?php echo $cod_det; ?></TD>
        <TD width="33%"><b>Contexto: </b><?php echo $matriz_det[1][14]; ?> - <?php echo $matriz_det[1][15]; ?></TD>
        <TD width="33%"><b>Expresado en: </b><?php echo $nom_otra_moneda; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br />
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
    <TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Nro. Doc.</b></TD>
    <TD align="center" width="65"><b>Fecha</b></TD>
    <TD align="center"><b>Item</b></TD>
    <TD align="center"><b>Proveedor</b></TD>
    <TD align="center"><b>Almacen</b></TD>
    <TD align="center"><b>CxP</b></TD>
    <TD align="center"><b>Asiento</b></TD>
    <TD align="center"><b>Cant.</b></TD>
    <TD align="center"><b>Mon.</b></TD>
    <TD align="center"><b>Precio</b></TD>
    <TD align="center"><b>Desc. %</b></TD>
    <TD align="center"><b>Total</b></TD>
    <?php if($otra_moneda_det != 0){ ?>
    <TD align="center"><b>Tasa a <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Saldo en <?php echo $nom_otra_moneda; ?></b></TD>
    <?php } ?>
    </TR>
    </thead>
    <tbody class="marcafila">

    <?php
	$suma_total = 0;
	$suma_total_om = 0;
	$color = 2;
	for ($i = 1; $i <= $fin_det; $i++) { //for
		$codigo = $matriz_det[$i][6];
		$codigo_asiento = $matriz_det[$i][13];
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $matriz_det[$i][1]);//cod
		} else {
		printf("<tr><td align='center'>%s</td>", $matriz_det[$i][1]);//cod
		}//fin if color
		printf("<td align='center'>%s</td>", $matriz_det[$i][2]);//numero documento
		printf("<td align='right'>%s</td>", $matriz_det[$i][4]);//fecha
		printf("<td>%s</td>", $matriz_det[$i][3]);//item
		printf("<td>%s</td>", $matriz_det[$i][5]);//proveedor
		printf("<td>%s</td>", $matriz_det[$i][12]);//almacen
		/*este codigo envia al detalle del reporte de CxP pero como es numero cambia al voucher
		if($otra_moneda_det != 0){
		printf("<td align='right'><a href='../../ModulePayments/ReportAccountsPayable/report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=1&otra_moneda_det=$otra_moneda_det&usuario_det=$usuario_det' title='Kardex de Cuenta por Pagar'>%s</a></td>", $matriz_det[$i][6]);//cxp
		} else {
		printf("<td align='right'><a href='../../ModulePayments/ReportAccountsPayable/report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=1&otra_moneda_det=0&usuario_det=$usuario_det' title='Kardex de Cuenta por Pagar'>%s</a></td>", $matriz_det[$i][6]);//cxp
		}
		*/
		printf("<td align='right'><a href='../../ModulePayments/VoucherAccountsPayable/index.php?pkyAccountsPayable=$codigo&user=$usuario_det' title='Nota de Cuenta por Pagar'>%s</a></td>", $matriz_det[$i][6]);//cxp
		printf("<td align='right'><a href='../../ModuleAccounting/VoucherAccountEntry/index.php?pkyAccountEntry=$codigo_asiento&showCC=$asientocc_det&user=$usuario_det' title='Asiento Contable'>%s</a></td>", $matriz_det[$i][13]);//asiento
		printf("<td align='right'>%s</td>", number_format($matriz_det[$i][7],$n_cantidad));//cantidad
		printf("<td>%s</td>", $matriz_det[$i][11]);//moneda
		printf("<td align='right'>%s</td>", number_format($matriz_det[$i][8],$n_decimales));//precio
		printf("<td align='right'>%s</td>", number_format($matriz_det[$i][9],$n_descuento));//descuento
				
		if($otra_moneda_det != 0){ //if otra moneda
			printf("<td align='right'>%s</td>", number_format($matriz_det[$i][10], $n_decimales));//total
			printf("<td align='right'>%s</td>", number_format($tc_det, $n_tipocambio));//tasa
			printf("<td align='right'>%s</td></tr>", number_format($matriz_det[$i][10] * $tc_det, $n_decimales));//total otra moneda
			}//fin if otra moneda 
			else { //else otra moneda
		 	printf("<td align='right'>%s</td></tr>", number_format($matriz_det[$i][10], $n_decimales));//total
		 }//fin if otra moneda
		 $suma_total = $suma_total + $matriz_det[$i][10];
		 $suma_total_om = $suma_total_om + $matriz_det[$i][10] * $tc_det;
		 $color++;
		}//fin for

if($otra_moneda_det != 0){ //if1?>
<tr BGCOLOR='#ffcccc'><td colspan="12"><b>Total</b></td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_total,$n_decimales)); ?></td>
<td>&nbsp;</td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_total_om,$n_decimales)); ?></td></tr>

<?php if($desc_global_det != 0){ ?>
<tr BGCOLOR='#ffcccc'><td colspan="12"><b>Descuento Global</b></td>
<td align="right"><?php printf("<b>%s %%</b>", number_format($desc_global_det,$n_descuento)); ?></td>
<td>&nbsp;</td>
<td align="right"><?php printf("<b>%s %%</b>", number_format($desc_global_det,$n_descuento)); ?></td></tr>
<tr BGCOLOR='#ffcccc'><td colspan="12"><b>Total con Descuento</b></td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_total-$suma_total*$desc_global_det/100,$n_decimales)); ?></td>
<td>&nbsp;</td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_total_om-$suma_total_om*$desc_global_det/100,$n_decimales)); ?></td></tr>
<?php }  ?>

<?php } else { //else if1?>
<tr BGCOLOR='#ffcccc'><td colspan="12"><b>Total</b></td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_total,$n_decimales)); ?></td></tr>

<?php if($desc_global_det != 0){ ?>
<tr BGCOLOR='#ffcccc'><td colspan="12"><b>Descuento Global</b></td>
<td align="right"><?php printf("<b>%s %%</b>", number_format($desc_global_det,$n_descuento)); ?></td></tr>
<tr BGCOLOR='#ffcccc'><td colspan="12"><b>Total con Descuento</b></td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_total-$suma_total*$desc_global_det/100,$n_decimales)); ?></td></tr>
<?php }  ?>


<?php }  //fin if1
	
} //fin if 3
?>
</tbody>
</table>
</body>
</html>
